Developer API

Powerful API for Business Calculators

Integrate BizMetrixs' 90+ ATO-compliant calculators into your own applications. RESTful API, comprehensive documentation, and dedicated support.

Lightning Fast

Sub-100ms response times. Built on modern infrastructure with global CDN.

Enterprise Security

SOC 2 compliant, data encryption at rest and in transit, API keys with fine-grained permissions.

Reliable & Scalable

99.9% uptime SLA. Auto-scales to handle millions of requests per day.

Quick Start

curl -X POST https://api.bizmetrixs.com/v1/calculate/roas-calculator-marketing \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{"inputs": {"adSpend": 5000, "revenueGenerated": 15000}}'
  1. 1Sign up for a Pro or Enterprise plan to get your API key
  2. 2Choose a calculator from our registry and understand its input schema
  3. 3Make authenticated POST requests to /api/v1/calculate/{calculatorId}
  4. 4Receive instant results with expert advice included

API Endpoints

GET/api/v1/calculators

List all available calculators

Response

{
  "success": true,
  "data": [
    {
      "id": "roas-calculator-marketing",
      "name": "ROAS Calculator",
      "category": "marketing",
      "description": "Return on Ad Spend calculator",
      "inputs": [...]
    }
  ]
}
POST/api/v1/calculate/{calculatorId}

Execute a calculator with provided inputs

Request Body

{
  "inputs": {
    "adSpend": 5000,
    "revenueGenerated": 15000
  }
}

Response

{
  "success": true,
  "data": {
    "values": [
      {
        "label": "ROAS",
        "value": 3.0,
        "suffix": "x",
        "highlight": true
      }
    ],
    "advice": "Your ROAS is excellent...",
    "metadata": {...}
  }
}

Rate Limits & Pricing

1,000
requests/day (Free)
10,000
requests/day (Pro)
Unlimited
requests/day (Enterprise)